Porque é que o Java, o Silverlight, o Adobe Acrobat e outros plugins deixaram de funcionar?

O suporte para plugins NPAPI no Firefox, exceto para o Adobe Flash irão terminar em Março de 2017, quando a versão 52 do Firefox for lançada.A começar na versão 52 do Firefox, o suporte para plugins NPAPI no Firefox terminou, exceto para o Adobe Flash. Alguns dos plugins que deixarão de carregar inclui o Java, Microsoft Silverlight e o Adobe Acrobat. Consulte este documento de compatibilidade para detalhes.

Ao longo dos últimos anos o Firefox implementou várias APIs da Web para que os websites possam fazer as mesmas coisas que sempre fizeram sem os plugins, e assim, provavelmente não irá notar qualquer alteração na sua experiência de navegação.

Porque é que o Firefox fez isto?

A Internet está repleta de websites que vão além de páginas estáticas, tais como o vídeo, áudio e jogos. Os plugins NPAPI, especialmente o Flash, ajudaram a introduzir estas páginas interativas. Mas estes também tornam o seu navegador mais lento, menos seguro e com mais probabilidades de falhar.

Ao longo dos últimos anos, o Firefox trabalhou arduamente para construir substitutos para estes plugins. Juntos, eles denominam-se de APIs Web. São desenhados para substituir a função destes plugins sem interferir na sua segurança online, estabilidade e desempenho.

Anteriormente, APIs Web não estavam completamente funcionais, por isso o Firefox começou a transição fazendo os plugins carregarem manualmente (clique para ativar).

Hoje, eles estão prontos. Muitos sites adotaram-nos e você pode desfrutar de quase todas as suas páginas favoritas sem utilizar plugins antigos e inseguros. O Firefox juntou-se a outros navegadores modernos como o Google Chrome e o Microsoft Edge para remover o suporte para estes plugins NPAPI.

Eu estou a ter problemas

No caso de ainda não estar pronto para que esta transição aconteça, o ESR (Lançamento de Suporte Extenso) do Firefox 52 irá continuar a suportar estes plugins até aos inícios de 2018. Clique aqui para descarregar o Firefox ESR.

Importante: a versão de 64 bits do Firefox 52 ESR para Windows suporta apenas os plugins do Adobe Flash e Microsoft Silverlight. Se também precisar de suporte para plugins de Java ou outros, escolha a versão de 32 bits para Windows.

Por predefinição, o Firefox 52 ESR utiliza os mesmos dados de perfil do utilizador, assim como outras versões do Firefox. Instalar o Firefox 52 ESR depois de utilizar a versão 55 ou superior do Firefox pode causar problemas, tais como mensagens de erro, quebras em partes do Firefox e problemas com alguns websites. Poderá criar um novo perfil para utilizar com o Firefox 52 ESR ou então renovar o Firefox depois de instalar o Firefox 52 ESR.

Este artigo foi útil? Por favor, aguarde...

Essas pessoas maravilhosas ajudaram a escrever este artigo: Alberto Castro, Manuela Silva. Você também pode ajudar - descubra como.